getservbyport
header_remove
Network Functions
PHP Manual

# header_register_callback

(PHP 5 >= 5.4.0)

header_register_callback — Call a header function

### Description

bool header_register_callback ( callable `$callback` )

Registers a function that will be called when PHP starts sending output.

The `callback` is executed just after PHP prepares all headers to be sent, and before any other output is sent, creating a window to manipulate the outgoing headers before being sent.

### Parameters

`callback`

  Function called just before the headers are sent. It gets no parameters and the return value is ignored.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 header_register_callback() example

`<?php
header('Content-Type: text/plain');
header('X-Test: foo');
function foo() {
foreach (headers_list() as $header) {
if (strpos($header, 'X-Powered-By:') !== false) {
header_remove('X-Powered-By');
}
header_remove('X-Test');
}
}
$result = header_register_callback('foo');
echo "a";
?>`

The above example will output something similar to:

    Content-Type: text/plain

    a

### Notes

header_register_callback() is executed just as the headers are about to be sent out, so any output from this function can break output.

> Note:

> Headers will only be accessible and output when a SAPI that supports them is in use.

### See Also

- headers_list() - Returns a list of response headers sent (or ready to send)
- header_remove() - Remove previously set headers
- header() - Send a raw HTTP header

getservbyport
header_remove
Network Functions
PHP Manual